require 'jwt_handler_ruby/engine'
require 'jwt'
require 'dotenv-rails'

module JwtHandlerRuby
  def self.decode_user(jwt)
    pub_key = OpenSSL::PKey::RSA.new(ENV['JWT_PUBLIC_KEY'])
    JWT.decode(jwt, pub_key, true, algorithm: 'RS256')[0]
  end

  def self.valid_jwt?(jwt)
    pub_key = OpenSSL::PKey::RSA.new(ENV['JWT_PUBLIC_KEY'])
    begin
      JWT.decode(jwt, pub_key, true, algorithm: 'RS256')[0]
    rescue JWT::DecodeError
      return false
    end
    true
  end
end
